Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
branch: master
Commits on May 28, 2015
  1. @ajaeger

    Remove blazar from projects.txt

    ajaeger authored
    The blazar project contains now lockfile which has been removed from
    global requirements and thus the propose-requirements change for blazar
    fails, see
    https://jenkins.openstack.org/job/propose-requirements-updates/35/consoleFull
    Error message is:
    'lockfile' is not in global-requirements.txt
    
    Remove blazar from the list since the project is inactive, last merge
    was August 2014.
    
    Change-Id: I3571c3d67d909083929c4b9b8be3f9d754d20da9
Commits on May 27, 2015
  1. @openstack-gerrit

    Merge "Add glance_store to projects.txt"

    Jenkins authored openstack-gerrit committed
  2. @openstack-gerrit
  3. @openstack-gerrit

    Merge "Kazoo 2.1 has a bug which is breaking tooz gate"

    Jenkins authored openstack-gerrit committed
Commits on May 26, 2015
  1. @mriedem

    Block oslo.vmware 0.13.0 due to a backwards incompatible change

    mriedem authored
    The nova vmware unit tests are failing after 5/26 when oslo.vmware
    0.13.0 was releaed due to change
    I34f84f3ea3f5f0d6878f1d4438cf25bf22f293fd which breaks backwards
    compatibility by raising a different exception type than before.
    
    The change should have gone through a deprecation cycle before making
    that a new hard error cutover so clients have time to change.
    
    There is a revert proposed: I0f8042c6e47f6eb9802e770ffb7d09bdbe57013b
    
    Since this is a library release, we have to block the version so nova
    doesn't pick it up and then put out a new release (0.13.1?) with the
    revert to move forward.
    
    Closes-Bug: #1459021
    
    Change-Id: Icf1ce8dbb4b2c0b6b627d5d8be0b85a42e99c784
  2. @harlowja

    Kazoo 2.1 has a bug which is breaking tooz gate

    harlowja authored
    This bug is opened at python-zk/kazoo#315
    
    The PR fix is at python-zk/kazoo#316
    
    Until that merges and is released reduce the required version to a
    known set that is known to work (vs one that is not).
    
    Change-Id: I4e2190434247f428ceb7482df7e9c7222ed9c4dc
  3. @openstack-gerrit

    Merge "Add flag to include hacking"

    Jenkins authored openstack-gerrit committed
Commits on May 20, 2015
  1. @aaronorosen

    Add ovn-networking to tracked projects list

    aaronorosen authored
    Change-Id: I3d66f57564e7023d986f27c82d2633e1622efd74
Commits on May 19, 2015
  1. @openstack-gerrit

    Merge "Add os-testr to global requirements list"

    Jenkins authored openstack-gerrit committed
  2. @openstack-gerrit

    Merge "Add sphinxcontrib-blockdiag"

    Jenkins authored openstack-gerrit committed
Commits on May 16, 2015
  1. @dims

    Pin pyngus version as python-qpid-proton is not in pypi

    dims authored
    check-requirements-integration-dsvm is failing with
    the following error:
    
    Could not find a version that satisfies the requirement python-qpid-proton<0.10,>=0.9
    
    the latest released version of python-qpid-proton is 0.8.1 at the moment.
    
    Change-Id: I880cffbe003a27e9caba3695e39e39e3bd9b1fcc
Commits on May 15, 2015
  1. @openstack-gerrit

    Merge "Bump python-openstacksdk version to 0.4.1"

    Jenkins authored openstack-gerrit committed
Commits on May 14, 2015
  1. @openstack-gerrit

    Merge "Allow testing with specific pips"

    Jenkins authored openstack-gerrit committed
  2. @mtreinish

    Add os-testr to global requirements list

    mtreinish authored
    This commit adds os-testr to global requirements since it will be
    the default runner of testr for most projects' tests.
    
    Change-Id: Ia399c65e62c2306c9a2d082c6219fcb030b5946b
  3. @openstack-gerrit

    Merge "Removing unused irdragdrop from requirements"

    Jenkins authored openstack-gerrit committed
  4. @openstack-gerrit

    Merge "Use httpretty < 0.8.7 to avoid broken unittests"

    Jenkins authored openstack-gerrit committed
Commits on May 13, 2015
  1. @steveb

    Add sphinxcontrib-blockdiag

    steveb authored
    This has the potential of allowing architecture diagrams being written
    in markup and automatically transformed to images.
    
    sphinxcontrib-seqdiag from the same parent project is already a dependency
    so adding blockdiag should not be controversial.
    
    Change-Id: I42eee53513c51778447df4c8d89fd1c725da45fa
  2. @openstack-gerrit

    Merge "Allow Magnum to conform to global requirements process"

    Jenkins authored openstack-gerrit committed
  3. @rloo

    Use httpretty < 0.8.7 to avoid broken unittests

    rloo authored
    A hanging issue occurs with httpretty 0.8.7, 0.8.8 and 0.8.9
    (so far) when running the units tests for
     openstack/python-ironicclient. This clamps the version to
    < 0.8.7 since we don't know when/if this issue will be
    addressed by httpretty.
    
    The underlying issue appears to be tracked in this bug:
        gabrielfalcao/HTTPretty#221
    
    There is a proposed fix at:
        gabrielfalcao/HTTPretty#193
    
    Change-Id: I9767ff2129e85e4c94a079f4f8f981f4cdfa9b5b
    Partial-Bug: #1454051
  4. @openstack-gerrit

    Merge "Add appdirs requirement"

    Jenkins authored openstack-gerrit committed
  5. @mriedem

    Add glance_store to projects.txt

    mriedem authored
    glance requires glance_store but the requirements in glance_store on
    master and stable/kilo don't line up with what's in
    global-requirements.txt so add glance_store to projects.txt to sync
    those up.
    
    Closes-Bug: #1454695
    Related-Bug: #1454467
    
    Change-Id: Ib41b0c482edf39017f26e483cd3661ca5b540133
Commits on May 12, 2015
  1. @openstack-gerrit

    Merge "Uncap pymongo"

    Jenkins authored openstack-gerrit committed
  2. @openstack-gerrit

    Merge "global-requirements: Add ovs"

    Jenkins authored openstack-gerrit committed
  3. @openstack-gerrit

    Merge "Bump cryptography to 0.8.2 for thread safety fix"

    Jenkins authored openstack-gerrit committed
  4. @openstack-gerrit

    Merge "Update xstatic-font-awesome to 4.3.0"

    Jenkins authored openstack-gerrit committed
  5. @dims

    Allow Magnum to conform to global requirements process

    dims authored
    Magnum recently entered the openstack/ namespace from
    stackforge. So Magnum would like to conform to the
    global requirements process. To be able to do that,
    We need docker-py library in our global requirements.
    
    docker-py library is actively maintained at:
    https://github.com/docker/docker-py/
    
    docker-py is licensed as:
    Apache License, Version 2.0
    
    docker-py various python flavors including 3.4:
    https://travis-ci.org/docker/docker-py
    
    We also do not have any other libraries in our
    global requirements that provide this functionality.
    
    Change-Id: Ic64996120a3a108b9b6d3c8daa313ea654fedba4
Commits on May 11, 2015
  1. @emonty

    Add appdirs requirement

    emonty authored
    What?
    - appdirs provides platform independent knowledge of appropriate
      directories to use for applications. For instance, instead of
      put in an env reference to XDG_ variables, you can use appdirs and get
      not only the XDG_ dirs on linux, but the analogs on OSX and Windows.
    
    Usage?
    - os-client-config
    - python-ironicclient
    
    Is the library actively maintained?
    - Last modified Aug 2014. The company ActiveState is behind it.
    
    Is the library good code?
    - It's neither the best nor worst code I've seen. Its documented well.
    
    Is the library python 3 compatible?
    - Yes
    
    Is the library license compatible?
    - Yes, MIT licensed
    
    Is the library already packaged in the distros we target?
    - https://packages.debian.org/sid/python-appdirs
    - https://launchpad.net/ubuntu/+source/python-appdirs
    - Does *not* currently seem to exist in fedora
    
    Is the function of this library already covered by other
    libraries in ``global-requirements.txt``?
    - No
    
    Change-Id: Ic939dea11b7476ec504d2bf65854a0781b1bfb39
  2. @openstack-gerrit

    Merge "Using django-nose>=1.2 needed by murano-dashboard"

    Jenkins authored openstack-gerrit committed
  3. @openstack-gerrit

    Merge "Update python-cinderclient to 1.2.1"

    Jenkins authored openstack-gerrit committed
  4. @openstack-gerrit

    Merge "Add ironic-discoverd"

    Jenkins authored openstack-gerrit committed
  5. @openstack-gerrit

    Merge "Add cachetools requirement"

    Jenkins authored openstack-gerrit committed
  6. @openstack-gerrit

    Merge "Update the minimum glanceclient version"

    Jenkins authored openstack-gerrit committed
  7. @openstack-gerrit

    Merge "Require flake8 2.4.0"

    Jenkins authored openstack-gerrit committed
  8. @openstack-gerrit

    Merge "Add Bandit as a global test requirement"

    Jenkins authored openstack-gerrit committed
  9. @openstack-gerrit

    Merge "Bump futures up to 3.0 or greater"

    Jenkins authored openstack-gerrit committed
Something went wrong with that request. Please try again.